/*
####################################################################
# DEBRECENI VIRTUÁLIS SZOBORPARK                                   #
# KEPKEZELES.JS                                                    #
# Fotó és képeslap megjelenítését végző javascript kód             #
#                                                                  #
# (C) Debreceni Városi Könyvtár 2008.04.22.                        #
# Készítette: Lente Tamás                                          #
#                                                                  #
# Függvények:                                                      #
# photopopup(foto, fotox, fotoy, cim) - fénykép megjelenítő popup  #
# photopopupclose() - fényképet megjelenítő popup bezárása         #
# postcardpopup(foto,urlap) - képeslap előnézet megjelenítő popup  #
# postcardpopupclose() - képeslap megjelenítő popup bezárása       #
# ellenoriz(urlap) - felhasználói oldal űrlapelemek kitolteset ell.#
# betuszamol(urlap) - szovegdobozba beirt betuk szamolasa max 255  #
####################################################################
*/

// Böngészőablak belső tartalmának közepére igazítja a megadott képet, s
// aláírjaa fotós nevét
// paraméterek:
// - foto: a képfájl neve elérési út nélkül
// - fotox,fotoy: a kép eredeti méretének szélessége és magassága
// - cim: fotós neve vagy egyéb kép alatt megjelenítendő képaláírás
function photopopup(foto, fotox, fotoy, cim) {        
    var magassag = document.body.clientHeight;
    var szelesseg = document.body.clientWidth;
    var h = Math.floor(magassag*0.98);
    var arany = (h-30)/fotoy;
    var kepx = Math.floor(fotox*arany);
    var kepy = Math.floor(fotoy*arany);    
    var x_coord = Math.floor((szelesseg-kepx)/2);    
    var tartalom = "<img src='http://localhost/szoborpark/modules/image.php?id="+foto+"' width='"+kepx+"' height='"+kepy+"' border='0' vspace='5'><br>"
    if (cim != '') tartalom += '<I>Fotó: '+cim+"</I>";
    document.getElementById("photo").style.visibility = 'visible';    
    document.getElementById("photo").style.width = kepx+20;
    document.getElementById("photo").style.height = h;
    document.getElementById("photo").style.top = 10;
    document.getElementById("photo").style.left = x_coord;
    document.getElementById("photo").innerHTML = tartalom;
}

// A felpattanó képdoboz bezárására szolgáló függvény
function photopopupclose() {
  // Elrejtjük a photo dobozt
  document.getElementById("photo").style.visibility = 'hidden';
}

// Böngészőablakban megmutatja a képeslap előnézeti képét
// paraméterek:
// - foto: a képfájl
// - urlap: a kitöltött űrlap mezői
function postcardpopup(foto,urlap) {
    var magassag = document.body.clientHeight;
    var szelesseg = document.body.clientWidth;
    var h = 400;
    var w = 680;        
    var x_coord = Math.floor((szelesseg-w)/2);
    var y_coord = Math.floor((magassag-h)/2);
    /*var arany = (h-30)/500;
    var kepx = Math.floor(szelesseg*arany);
    var kepy = Math.floor(magassag*arany);    
    */    
    var tartalom = "<img src=\""+foto+"\" class=\"kepeslap\" align=\"left\">\n";
    tartalom += "<table class=\"kepeslapszoveg\" align=\"right\"><tr><td><img src=\"images/belyeg.gif\" width=\"38\" height=\"38\" align=\"right\"></td></tr>\n";
    tartalom += "<tr><td align=\"left\">\n";
    tartalom += "   <div class=\"kepeslapcimzett\">"+urlap.cnev.value+"</div>\n";
    tartalom += "   <div class=\"kepeslapcimzett2\">"+urlap.cemail.value+"</div>\n";
    tartalom += "   <div class=\"kepeslapszoveg\">"+urlap.uzenet.value+"</div>\n";
    tartalom += "   <div class=\"kepeslapkuldo\">"+urlap.fnev.value+" ("+urlap.femail.value+")</div>\n";
    tartalom += "</td></tr></table>\n";
    document.getElementById("postcard").style.visibility = 'visible';    
    document.getElementById("postcard").style.width = w;
    document.getElementById("postcard").style.height = h;
    document.getElementById("postcard").style.top = y_coord;
    document.getElementById("postcard").style.left = x_coord;
    document.getElementById("postcard").innerHTML = tartalom;
}

// A felpattanó képeslap doboz bezárására szolgáló függvény
function postcardpopupclose() {
  // Elrejtjük a dobozt
  document.getElementById("postcard").style.visibility = 'hidden';
}

// Ellenőrízzük, hogy a képeslap űrlap minden mezője megfelelő-e
function ellenoriz(urlap) {
  //HTML tagok eltávolítása névből, e-mailből, szövegből
  var htmlcucc = /(<([^>]+)>)/gi;
  for (var i=0;i<urlap.elements.length-2;i++)
    urlap.elements[i].value = urlap.elements[i].value.replace(htmlcucc, "");
      
  // Helyesen kitöltött-e az űrlap
  var helyesen_kitoltott = -1;
  var hibas = "";
  // Minden mező ki van-e töltve
  var x = "";
  for (var i=0;i<urlap.elements.length-2;i++)
    if (urlap.elements[i].value == '') {
      helyesen_kitoltott = i; break;
    }
  if (helyesen_kitoltott != -1) {
    window.alert("Az egyik mezőt üresen felejtette. Kérjük töltse ki!");
    urlap.elements[helyesen_kitoltott].focus();
  }  
  return helyesen_kitoltott;  
}

// Űrlapon betűk számolása
function betuszamol(urlap) {
  var maxchar = 255;
  // ha túl hosszú lenne a szöveg, levágjuk
  if (urlap.uzenet.value.length > maxchar) { 
    urlap.uzenet.value = urlap.uzenet.value.substring(0, maxchar);
    urlap.uzenet.focus;
  }
  // a fennamradó betű számát kiírjuk
  else
    urlap.hossz.value = maxchar - urlap.uzenet.value.length;
}
